be.ehealth.technicalconnector.service.sts.security

## Class KeyStoreInfo

- java.lang.Object
- - be.ehealth.technicalconnector.service.sts.security.KeyStoreInfo

-     public class KeyStoreInfo
      extends Object

  The Class KeyStoreInfo.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyStoreInfo(String alias, char[] privateKeyPwd)` Instantiates a new key store info.
    `KeyStoreInfo(String pathKeystore, char[] pwdKeystore, String alias, char[] privateKeyPwd)` Instantiates a new key store info.
    `KeyStoreInfo(String pathKeystore, String keystoreType, char[] pwdKeystore, String alias, char[] privateKeyPwd)` Instantiates a new key store info.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlias()` Gets the alias.
    `char[]` | `getKeystorePassword()` Gets the keystore password.
    `String` | `getKeystorePath()` Gets the keystore path.
    `String` | `getKeystoreType()` Gets the keystore type.
    `char[]` | `getPrivateKeyPassword()` Gets the private key password.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyStoreInfo

          public KeyStoreInfo(String alias,
                              char[] privateKeyPwd)
                       throws TechnicalConnectorException

      Instantiates a new key store info.
      Parameters:
        `privateKeyPwd` -
      Throws:
        `TechnicalConnectorException`

    - #### KeyStoreInfo

          public KeyStoreInfo(String pathKeystore,
                              char[] pwdKeystore,
                              String alias,
                              char[] privateKeyPwd)
                       throws TechnicalConnectorException

      Instantiates a new key store info. The KeyStoreType is automatically detected for P12 and JKS files
      Parameters:
        `pathKeystore` - the path keystore
        `pwdKeystore` - the pwd keystore
        `alias` - the private key alias
        `privateKeyPwd` - the private key pwd
      Throws:
        `TechnicalConnectorException` - the technical connector exception

    - #### KeyStoreInfo

          public KeyStoreInfo(String pathKeystore,
                              String keystoreType,
                              char[] pwdKeystore,
                              String alias,
                              char[] privateKeyPwd)
                       throws TechnicalConnectorException

      Instantiates a new key store info.
      Parameters:
        `pathKeystore` - the path keystore
        `keystoreType` - the keystore type
        `pwdKeystore` - the pwd keystore
        `alias` - the alias
        `privateKeyPwd` - the private key pwd
      Throws:
        `TechnicalConnectorException` - the technical connector exception

  - ### Method Detail

    - #### getKeystorePath

          public final String getKeystorePath()

      Gets the keystore path.
      Returns:
        the keystore path

    - #### getKeystoreType

          public final String getKeystoreType()

      Gets the keystore type.
      Returns:
        the keystore type

    - #### getKeystorePassword

          public final char[] getKeystorePassword()

      Gets the keystore password.
      Returns:
        the keystore password

    - #### getAlias

          public final String getAlias()

      Gets the alias.
      Returns:
        the alias

    - #### getPrivateKeyPassword

          public final char[] getPrivateKeyPassword()

      Gets the private key password.
      Returns:
        the private key password

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.